#
# spec file for package libnasl (Version 2.2.10)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses nessus-libraries net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           libnasl
BuildRequires:  bison nessus-libraries openssl-devel
%define localstatedir /var/lib
%define sharedstatedir /var
Version:        2.2.10
Release:        15.2
Requires:       nessus-libraries = %{version}
Requires:       glibc-devel
Requires:       openssl-devel
AutoReqProv:    on
Group:          Productivity/Networking/Security
Url:            http://www.nessus.org
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Nessus Scripting Language Library
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-configure.diff
Patch1:         %{name}-%{version}-libtool.diff
Patch2:         %{name}-%{version}-prototypes.diff
Patch3:         %{name}-%{version}-type.diff
Patch4:         %{name}-%{version}-pmake.diff
Patch5:         %{name}-%{version}-printf.diff
Patch6:         %{name}-%{version}-uninitialized.diff
Patch7:         %{name}-%{version}-openssl.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A powerful security scanner. This scanner consists of a daemon,
nessusd, to be started on a machine close to the one to test and a
graphical front-end, nessus, which can be run on a different machine
and can connect to the daemon. You can do various security checks
(currently more than 900) and get a report of possible weaknesses or
vulnerabilities found on the target host.



Authors:
--------
    Renaud Deraison <deraison@nessus.org>
    Jordan Hryca <jordan@mjh.teddy-net.com>
    and others

%debug_package
%prep
%setup -q -n %{name}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7

%build
rm -rf $RPM_BUILD_ROOT
%{suse_update_config -f}
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -Wno-unused" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--bindir=%{_bindir} \
	--includedir=%{_includedir} \
	--localstatedir=%{localstatedir} \
	--sharedstatedir=%{sharedstatedir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--enable-shared
make %{?jobs:-j%jobs}

%install
make %{?jobs:-j%jobs} install DESTDIR=$RPM_BUILD_ROOT

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING doc/nasl2_reference.lyx doc/nasl_guide.tex
%doc %{_mandir}/man?/*
%{_libdir}/libnasl*
%{_includedir}/nessus/
/var/lib/nessus/
%{_bindir}/*

%changelog
* Tue Jan 20 2009 - nadvornik@suse.cz
- fixed an incorrect check of DSA_do_verify return value
  CVE-2009-0125 [bnc#465675]
* Fri Jul 27 2007 - anosek@suse.cz
- updated to version 2.2.10
  - Fixed off-by-one bugs in insstr() and str_replace() which would sometimes
  prevent these two functions from properly dealing with the last character of a
  string
  - Fixed tcp_ping() which was too aggressive and may therefore sometimes miss
  a live host
  - Fixed a bug in send() which would not properly validate the value of the
  'length' variable
  - Now handle arrays of arrays
  - Fixed open_priv_sock_tcp() which would report a successful connection when
  timing out
  - 'a = b + c ++' would not work as expected
  - fixed a memory allocation problem when split() is passed an argument of
  the wrong type
  - Fixed a crash when copying an array of array containing NULL items
* Thu Mar 29 2007 - rguenther@suse.de
- add bison BuildRequires
* Mon Sep 04 2006 - anosek@suse.cz
- dropped Requires: nessus-core
* Thu Jan 26 2006 - mmarek@suse.cz
- added forgotten openssl-devel to BuildRequires:
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - mmarek@suse.cz
- update to 2.2.6
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Mon Aug 01 2005 - mjancar@suse.cz
- update to 2.2.5
- add glibc-devel and openssl-devel to Requires
* Thu Mar 10 2005 - mjancar@suse.cz
- update to 2.2.3
* Thu Nov 11 2004 - coolo@suse.de
- fixing file list for debug package
* Tue Oct 12 2004 - coolo@suse.de
- fixing dependencies for parallel make
* Fri Aug 13 2004 - mjancar@suse.cz
- update to 2.0.12
* Fri Feb 27 2004 - mjancar@suse.cz
- update to 2.0.10a
* Fri Oct 10 2003 - mjancar@suse.cz
- update to 2.0.8a
* Tue Aug 12 2003 - mjancar@suse.cz
- 64bit cleanups
- remove unneccessary stuff from neededforbuild
* Thu Jul 31 2003 - mjancar@suse.cz
- update to 2.0.7
* Thu Jul 31 2003 - ro@suse.de
- require nessus-core instead of nessus
* Tue Jul 29 2003 - mjancar@suse.cz
- split to nessus-core and nessus-libraries
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Sun Jun 29 2003 - coolo@suse.de
- link against correct libtool file
* Sat Jun 28 2003 - coolo@suse.de
- don't leave buildroot in the libraries
* Wed Jun 11 2003 - mjancar@suse.cz
- update to 2.0.6a
  * Fixed various issues which could allow a NASL script
  to crash the NASL interpretor and execute arbitrary code
- update post-scripts
- use buildroot
- cleanup the spec
- rewrite rmdups to remove by id and revision
* Tue Mar 25 2003 - vbobek@suse.cz
- updated to version 2.0.1
  * minor bugfixes
  * improved performance
  * libnasl has been rewritten
  * extended NASL language
  * enhanced service detection
  * smarter plugin scheduler
  * greatly reduced memory usage
- removed obsolete patch changing the rights of .nes plugins
- fixed misspelling in nessusd
- shortened lhs patch
- shortened libnasl patch
- added patch fixing misspellings in hydra.c
* Fri Feb 28 2003 - vbobek@suse.cz
- fixed sharedstatedir in spec
* Wed Feb 19 2003 - vbobek@suse.cz
- better fixed switching from /var/nessus to /var/lib/nessus
* Fri Feb 14 2003 - ro@suse.de
- /var/nessus -> /var/lib/nessus
* Fri Jan 17 2003 - postadal@suse.cz
- updated to version 1.2.7
  * support for BID
  * find_service now detects services protected by TCP wrappers or ACL and
  detects gnuserv
* Wed Oct 23 2002 - jderfina@suse.cz
- fixed dangling symlink /var/log/nessusd.messages. (#21066)
* Fri Aug 16 2002 - postadal@suse.cz
- added %%insserv_prereq, %%fillup_prereq, fileutils, textutils
  to PreReq [#17924]
* Thu Aug 15 2002 - ro@suse.de
- a directory needs a x-bit ...
* Mon Aug 12 2002 - garloff@suse.de
- Update post-1.2.3 plugins.
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 12 2002 - garloff@suse.de
- Update post-1.2.3 scripts.
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Wed Jul 03 2002 - garloff@suse.de
- Apply libtool --force and autoconf to make it build
- Make sure RPM_OPT_FLAGS get passed all the way down
- post-1.2.3 plugins
- Update to nessus-1.2.3
- Update to nessus-1.2: (major changes as compared to 1.0.x)
  * Security checks are run in parallel ;
  * Full SSL support ;
  * "safe checks" option (makes nessusd rely on a banner rather than
  take the risk to disable the remote service) ;
  * "optimisations" option (make nessusd run "focused" tests (ie:
  IIS-specific tests on IIS, and so on...)
  * Better CGI auditing ;
  * IDS evasion options ;
  * KB saving support (can be used for off-line security audits) ;
  * Session saving support ;
  * Differential scans ;
  * New reports file formats ;
  * Tuned security checks (for better performance) ;
  * More configurable ;
  * Improved SMB support (Nessus can log into a domain, and extracts more
  information from the tested hosts).
  * Scales __much__ better ;
  * Kazillions of bugs fixed ;
  * And more !
* Sat Mar 23 2002 - garloff@suse.de
- Add %%dir /etc/nessus to %%file list
- Latest post-1.0.10 scripts (adds apachae_ssl_overflow test)
* Sun Mar 17 2002 - garloff@suse.de
- Update post-1.0.10 scripts
  (including checks for vulnerabilities in (open)ssh)
* Mon Mar 04 2002 - garloff@suse.de
- Fix packaging error of post-1.0.10 scripts.
* Mon Mar 04 2002 - garloff@suse.de
- Update the post-1.0.10 scripts.
* Fri Mar 01 2002 - pthomas@suse.de
- Fix small typo in mail sent after installation and slightly
  change the wording.
* Wed Feb 13 2002 - garloff@suse.de
- Add %%defattr(-,root,root) to %%file list
- Updated post-1.0.10 scripts
* Tue Feb 12 2002 - kukuk@suse.de
- Use correct tar option
* Fri Feb 08 2002 - draht@suse.de
- added nessus-libraries-1.0.10-zlib-zfree.dif against duplicate
  free() in zlib. Play safe: by default, the source finds its own.
* Tue Jan 29 2002 - garloff@suse.de
- libpeks: 64bit fixes
- libpcap-nessus: use libdir in install target
- spec file: set libdir to %%{_libdir}
* Mon Jan 14 2002 - garloff@suse.de
- Update to 1.0.10:
  * Minor fixes & backported plugin changes from 1.1.x tree.
- Latest post-1.0.10 scripts.
* Mon Jan 14 2002 - ro@suse.de
- removed START_NESSUSD
* Tue Jan 08 2002 - egmont@suselinux.hu
- changed foo -> nessusd in init script
* Thu Aug 30 2001 - garloff@suse.de
- Update to 1.0.9:
  * bugfixes: deadlock in peks and client crahs on excessively
  long plugin lists.
  * increase login timeout and Linux recv() handling
- post-1.0.9 scripts as of 2001-08-30
* Mon Aug 13 2001 - ro@suse.de
- fixed to build with current autoconf
* Thu Aug 09 2001 - ro@suse.de
- use libpcap instead of (dropped) libpcapn
* Fri Jul 13 2001 - garloff@suse.de
- Update to 1.0.8.
- Add post-1.0.8 scripts.
* Wed Jun 06 2001 - garloff@suse.de
- Fix aclocal problem (triggered by new autotools)
- Final post-1.0.7a scripts.
* Fri May 11 2001 - garloff@suse.de
- bzip2 sources.
- Another post-1.0.7a script update.
* Tue May 08 2001 - garloff@suse.de
- Update post-1.0.7a scripts.
* Mon Apr 30 2001 - garloff@suse.de
- Update post-1.0.7.a scripts.
* Thu Apr 12 2001 - ro@suse.de
- fix usage for version macro (again)
* Wed Apr 11 2001 - garloff@suse.de
- Add xf86 to neededforbuild
* Wed Apr 11 2001 - garloff@suse.de
- Update post-1.0.7a scripts:
  Scripts for NTP, Lion, MySQL, Kerberos, ProFTPD, Domino,
  PHP_IMAP, IIS, Oracle, ... vulnerabilities.
* Mon Feb 12 2001 - garloff@suse.de
- Refuse to start if no user accounts have been created yet.
* Mon Feb 12 2001 - garloff@suse.de
- The GMP hack seems to be not needed any longer ;-)
* Mon Feb 12 2001 - garloff@suse.de
- Update to nessus - 1.0.7a:
  * HTTP virtual hosts, configurable per-plugin timeout, stop
  detached scans, improved XML output
  * Issues with cipher layer addressed
  * listen on IANA assigned port 1241 additionally to 3001
  (3001 will be discarded in future)
- post-1.0.7a scripts from 2001-02-12
- Fixed typo in startup script (#6301)
* Mon Jan 15 2001 - garloff@suse.de
- Another post-1.0.6 scripts update.
* Fri Jan 12 2001 - garloff@suse.de
- Update post-1.0.6 scripts to latest status.
* Thu Jan 04 2001 - garloff@suse.de
- Updated post-1.0.6 scripts.
* Tue Dec 19 2000 - garloff@suse.de
- Updated post-1.0.6 scripts.
- Marked init.d script as %%config
* Thu Dec 07 2000 - garloff@suse.de
- Updated post-1.0.6 scripts.
* Tue Nov 28 2000 - garloff@suse.de
- Move init.d script to /etc/init.d/
- Move rcnessusd to /usr/sbin/
- Updated post-1.0.6 scripts.
* Wed Nov 22 2000 - garloff@suse.de
- More init.d script fixes.
- BuildRoot is not used. (Never has been successfully.)
* Wed Nov 22 2000 - garloff@suse.de
- New SuSE LSB-compliant init.d script.
* Tue Nov 21 2000 - garloff@suse.de
- Update to 1.0.6, featuring diff scans as well as constant
  background scans with email notification
- Use BuildRoot
- Use system gmp library rather than the one supplied with nessus
* Sun Nov 05 2000 - egger@suse.de
- Fixed #neededforbuild for long packagenames.
* Mon Sep 11 2000 - garloff@suse.de
- Added gmp to Requires:
* Mon Jul 10 2000 - garloff@suse.de
- Update to 1.0.3 saves applying all the 1.0.2 bugfixes manually.
* Sat Jul 08 2000 - garloff@suse.de
- Finally patched nessus-libraries/libpeks/gmp3/configure to work
  around crazy ideas about what the target CPU might be and thereby
  fixed PPro optimization problem.
* Fri Jul 07 2000 - garloff@suse.de
- Update to 1.0.2, including the official patches (nasl-1.0.2.1,
  nessus-core-patch, snmp_default_communities.nasl)
* Wed Jun 21 2000 - garloff@suse.de
- Added startup script and rc.config entry
- Write e-mail to root about configuration file risks on upgrade
  and try to save old config file
* Wed Jun 21 2000 - garloff@suse.de
- Strip binaries
- Upgrade to 1.0.1
- Added libpcapn to build requirements
- Create symlink libpeksmp.so -> libgmp.so
* Tue Apr 18 2000 - garloff@suse.de
- Created %%ghost files for /var/log/ and the /etc/nessus/ files.
* Mon Apr 17 2000 - garloff@suse.de
- Patched libpeks to use $HOME if necessary (#2734)
- Moved log to /var/log/
* Thu Apr 13 2000 - garloff@suse.de
- Added /etc/nessus dir and
- set --sysconfdir=/etc (#2734)
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Mon Feb 21 2000 - garloff@suse.de
- Update to 0.99.5-2.
- Move manpages to %%{_mandir}
* Sat Oct 23 1999 - garloff@suse.de
- Initial release 0.98.3 (0.99.0)
- Patch to nessus-libraries: Correct peks include path
